# Generated from simplycop-1.7.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name simplycop

Name: rubygem-%{gem_name}
Version: 1.7.3
Release: 1%{?dist}
Summary: Provides a single point of reference for common rubocop rules
License: MIT
URL: https://github.com/simplybusiness/simplycop
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
# BuildRequires: rubygem(rspec) >= 3.10
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
Require this gem in your application to use Simply Business common rubocop
rules.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.custom_simplycop.yml
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/.simplycop.yml
%{gem_instdir}/.simplycop_metaprogramming.yml
%{gem_instdir}/.simplycop_rails.yml
%{gem_instdir}/.simplycop_rspec.yml
%{gem_instdir}/.simplycop_security.yml
%{gem_instdir}/CODEOWNERS
%{gem_instdir}/bin
%{gem_instdir}/catalog-info.yaml
%{gem_libdir}
%{gem_instdir}/vuln_db.json
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%doc %{gem_instdir}/mkdocs.yml
%{gem_instdir}/simplycop.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.7.3-1
- Initial package
